## com.baidubce.services.bos.model
Class BucketSummary

    java.lang.Object
      com.baidubce.services.bos.model.BucketSummary

    public class BucketSummary

extends Object

Represents an Baidu Bos bucket.

Every object stored in Baidu Bos is contained within a bucket. Buckets partition the namespace of objects stored in Baidu Bos at the top level. Within a bucket, any name can be used for objects. However, bucket names must be unique across all of Baidu Bos.

There are no limits to the number of objects that can be stored in a bucket. Performance does not vary based on the number of buckets used. Store all objects within a single bucket or organize them across several buckets.

Constructor Summary
`BucketSummary()` Constructs a bucket without any name specified.
`BucketSummary(String name)` Creates a bucket with a name.

Method Summary
`Date` `getCreationDate()` Gets the bucket's creation date.
`String` `getLocation()` Gets the location of the bucket.
`String` `getName()` Gets the name of the bucket.
`void` `setCreationDate(Date creationDate)` For internal use only.
`void` `setLocation(String location)` Sets the location of the bucket.
`void` `setName(String name)` Sets the name of the bucket.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BucketSummary

    public BucketSummary()

  Constructs a bucket without any name specified.

### BucketSummary

    public BucketSummary(String name)

  Creates a bucket with a name. All buckets in Baidu Bos share a single namespace; ensure the bucket is given a unique name.

  Parameters:
    `name` - The name for the bucket.

Method Detail

### getName

    public String getName()

  Gets the name of the bucket.

  Returns:
    The name of this bucket.

### setName

    public void setName(String name)

  Sets the name of the bucket. All buckets in Baidu Bos share a single namespace; ensure the bucket is given a unique name.

  Parameters:
    `name` - The name for the bucket.

### getCreationDate

    public Date getCreationDate()

  Gets the bucket's creation date. Returns `null` if the creation date is not known.

  Returns:
    The bucket's creation date, or `null` if not known.

### setCreationDate

    public void setCreationDate(Date creationDate)

  For internal use only. Sets the bucket's creation date in Bos.

  Parameters:
    `creationDate` - The bucket's creation date.

### getLocation

    public String getLocation()

  Gets the location of the bucket.

  Returns:
    The location of this bucket.

### setLocation

    public void setLocation(String location)

  Sets the location of the bucket. All buckets in Baidu Bos share a single namespace; ensure the bucket is given a unique name.

  Parameters:
    `location` - The location for the bucket.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.